Subject: Fw: [Bug 106171] New: Regression causes "ip" command to crash, leaving the user without any networking

From: Stephen Hemminger <[email-masked]>
Date: Sun, 18 Oct 2015 21:28:38 -0700

Freescale driver bug.

Begin forwarded message:

Date: Mon, 19 Oct 2015 02:14:45 +0000
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [Bug 106171] New: Regression causes "ip" command to crash, leaving the user without any networking

https://bugzilla.kernel.org/show_bug.cgi?id=106171

            Bug ID: 106171
           Summary: Regression causes "ip" command to crash, leaving the
                    user without any networking
           Product: Networking
           Version: 2.5
    Kernel Version: 4.2.0
          Hardware: ARM
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: high
          Priority: P1
         Component: IPV4
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

Created attachment 190481
  --> https://bugzilla.kernel.org/attachment.cgi?id=190481&action=edit
Process ip (pid: 252, stack limit = 0xed7a4220)  Stack: (0xed7a5a58 to
0xed7a6000)

Between kernel version 4.1.7 and 4.2.0 something caused networking to be left
non-functioning. I can confirm the bug is still in mainline 4.2.3.

Attached is the stack trace showing up during boot of the device with 4.2.3
kernel. I have since regressed to 4.1.x and networking works fine again.

I had one other user confirm this bug via Freenode IRC.

-- 
You are receiving this mail because:
You are the assignee for the bug.